Package Details: hon 4.8.3.1-1

Git Clone URL: https://aur.archlinux.org/hon.git (read-only, click to copy)
Package Base: hon
Description: Heroes of Newerth is a Real Time Strategy game heavily influcenced by DotA
Upstream URL: http://www.heroesofnewerth.com/
Licenses: custom:HoN
Submitter: kaptoxic
Maintainer: DanielB
Last Packager: DanielB
Votes: 10
Popularity: 0.000000
First Submitted: 2015-09-07 23:14
Last Updated: 2020-10-26 11:17

Latest Comments

1 2 3 Next › Last »

AnbuBlack commented on 2021-01-31 17:51

Solved by removing

libudev0-shim and lib32-libudev0-shim.

AnbuBlack commented on 2021-01-29 13:01

HoN is launching but fails to update to a newer version and I think is from this error:

ln: failed to create symbolic link './libs-x86_64/libudev.so.0': Permissio denied.

Any advice?

DanielB commented on 2020-10-22 12:04

Patch for updated installer:

diff --git a/PKGBUILD b/PKGBUILD
index b0cc3f4..81f0315 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -10,7 +10,7 @@
 PKGEXT=.pkg.tar

 pkgname=hon
-pkgver=4.1.5
+pkgver=4.8.3.1
 pkgrel=1
 pkgdesc="Heroes of Newerth is a Real Time Strategy game heavily influcenced by DotA"
 arch=('i686' 'x86_64')
@@ -24,7 +24,7 @@ source=('hon.desktop' 'license' "http://dl.heroesofnewerth.com/installers/linux/
 noextract=("HoNClient.sh")
 md5sums=('25fb5ab8c49be0f1269c79520ccee789'
          'dd2c8cd0f5bcafa25cfb583a92e21aec'
-         '5b7b4e098606b1797a4eb5ffa8863188')
+         '830e7b1f1b40b4eff28e6a0d0b7c7b2f')

 package() {
     #mv HoNClient-${pkgver}-${pkgrel}.sh HoNClient-${pkgver}.sh

romulasry commented on 2019-07-20 05:04

It is kind of hard to keep this application up to date without push notification when it updates.

Antikruk commented on 2018-07-24 19:19

==> Validating source files with md5sums... hon.desktop ... Passed license ... Passed HoNClient.sh ... FAILED ==> ERROR: One or more files did not pass the validity check!

wcasanova commented on 2018-04-12 22:58

@N_mag the installer direct, gives error with some libraries, it is better to use the package from aur. I just installed it without any problem

kaptoxic commented on 2017-09-04 21:32

Interestingly, I just recently tested the package, all seemed well. The GLX issue might be an upstream issue, or perhaps an issue due to conflicting system libraries and the ones in /opt/hon/lib.
I will disown the package, since I am not using it regularly.

N_mag commented on 2017-09-03 14:04

Running the installer itself directly from Frostburn works just fine to me, so although I appreciate the work of the maintainer for this, I don't see why using this script helps anything unless I'm mistaken. Just seems like it just has problems where the normal installer just does it's thing and correctly.

queenmedley commented on 2017-09-03 13:39

I have 2 arch desktop. Both have a problem to play hon as same error.
I couldn;t find any solution.

-------------------------------------------------------------------
libGL error: failed to create drawable
libGL error: failed to create drawable
X Error of failed request: 0
Major opcode of failed request: 155 (GLX)
Minor opcode of failed request: 26 (X_GLXMakeContextCurrent)
Serial number of failed request: 141
Current serial number in output stream: 141
---------------------------------------------------------------------

dougalg commented on 2017-08-20 03:47

I was able to get this running OK using mrinvisible's method, but when I attempt to run the update (from within the game) it just crashes silently.